<?php 
function EpornerAPICall($api_url, $params) {
    $url = $api_url . '?' . http_build_query($params);
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $results = curl_exec($ch); 
    curl_close($ch);
    return $results;
}

function getEpornerVideos($page = 0, $query = 'all') {
    $api_url = 'https://www.eporner.com/api/v2/video/search/';
    $params = array(
        'query' => $query,
        'page' => $page
    );
    
    $response = EpornerAPICall($api_url, $params);
    
    if($response) {
        $json = json_decode($response);
        return $json;
    }
    return false;
}

$page = 1;
$total_pages = 1;
$max_videos_to_fetch = 22;
$fetched_videos = 0;

do {
    $apiResponse = getEpornerVideos($page, 'anal');
    if($apiResponse) {
        $videos = $apiResponse->videos;
        $page = $apiResponse->page + 1;
        $total_pages = $apiResponse->total_pages;
        
        foreach($videos as $video) {
            if($fetched_videos >= $max_videos_to_fetch) break;
            
            $fetched_videos++;
            $fetched_videos . PHP_EOL;
            $id = $video->id . PHP_EOL;
            $title = $video->title . PHP_EOL;
            $video->url . PHP_EOL;
            $length = $video->length_min . PHP_EOL;
            $gambar = $video->default_thumb->src . PHP_EOL;
            ?>
                  <div class="ml-item">
                     <a href="<?php echo $site_url;?>/video/<?php echo $id;?>" class="ml-mask cluetip jt" title="<?php echo $title;?>">
                        <span class='mli-quality'><?php echo $length;?></span><img src="<?php echo $gambar;?>" class="lazy thumb mli-thumb" alt="<?php echo $title;?>">
                        <span class="mli-info">
                           <h2><?php echo $title;?></h2>
                        </span>
                     </a>
                  </div>
        <?php
        }
    } else {
        
    }
} while ( $page < $total_pages && $fetched_videos < $max_videos_to_fetch );

?>